## Project-wide Gradle settings.
#
# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html
#
# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
# Default value: -Xmx1024m -XX:MaxPermSize=256m
# org.gradle.jvmargs=-Xmx2048m -XX:MaxPermSize=512m -XX:+HeapDumpOnOutOfMemoryError -Dfile.encoding=UTF-8
#
# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
# org.gradle.parallel=true
#Wed Jul 19 10:16:09 CST 2017
org.gradle.jvmargs=-Xmx4096m -XX\:MaxPermSize\=2048m -XX\:+HeapDumpOnOutOfMemoryError -Dfile.encoding\=UTF-8 
#开启gradle并行编译
org.gradle.parallel=true
#开启守护进程
org.gradle.daemon=true
#开启孵化模式
org.gradle.configureondemand=true
#开启gradle缓存
org.gradle.caching=true
#File System Watching https://blog.gradle.org/introducing-file-system-watching
org.gradle.vfs.watch=true
#开启android构建缓存
#android.enableBuildCache=true

#开启kotlin增量编译
kotlin.incremental=true
kotlin.incremental.java=true
kotlin.caching.enabled=true
#开启kotlin并行编译
kotlin.parallel.tasks.in.project=true

# channel packages
channel_file=channel.txt

# 正式环境的KEY
WECHAT_APPID=wx3ffd0785fad18396
WECHAT_SECRET=368b49e8471857575a033b206218f9fb
TD_APPID=81DB144D555386A38A70B833537EC256
TENCENT_APPID=1104659243
WEIBO_APPKEY=1723629218
LETO_APPID=1001276
TTAD_APPID=5065631
DOUYIN_CLIENTKEY=aw66h51ftb71dkhi
DOUYIN_CLIENTSECRET=155dee6c1de9ae31bffcbf32475dc161
QUICK_LOGIN_APPID=300012035775
QUICK_LOGIN_APPKEY=002BAABA2C078342DA33BEAB0A4C6A25
DEV_QUICK_LOGIN_APPID=300012281661
DEV_QUICK_LOGIN_APPKEY=1BFAB6E349F1D69CC06ABAD9D7A43FB8

# hosts
DEV_API_HOST=https\://dev-and-api.ghzs.com/v5d5d0/
API_HOST=https\://and-api.ghzs.com/v5d5d0/
NEW_DEV_API_HOST=https\://dev-app-api.ghzs.com/
NEW_API_HOST=https\://app-api.ghzs.com/
DEV_VAPI_HOST=https://dev-app-api.796697.com
VAPI_HOST=https://app-api.796697.com

DEV_SA_SERVER_URL=https://sensors-data-api.ghzs.com/sa?project=default
SA_SERVER_URL=https://sensors-data-api.ghzs.com/sa?project=production

android.useAndroidX=true
android.enableJetifier=true

# kapt 编译
kapt.use.worker.api = true
kapt.incremental.apt = true

# 数据绑定增量注解处理
android.databinding.incremental=true

# 部分 vivo 手机不去掉 testOnly 直接装不上 :(
android.injected.testOnly = false

# 动态配置插件
isRelease = true
